import request from '@/utils/request'

// 查询贷明细汇总列表
export function listDetails(query) {
  return request({
    url: '/basicData/xcrSummaryLoanDetails/findByPage',
    method: 'get',
    params: query
  })
}

// 查询贷明细汇总详细
export function getDetails(id) {
  return request({
    url: '/basicData/xcrSummaryLoanDetails/' + id,
    method: 'get'
  })
}

// 新增贷明细汇总
export function addDetails(data) {
  return request({
    url: '/basicData/xcrSummaryLoanDetails',
    method: 'post',
    data: data
  })
}

// 修改贷明细汇总
export function updateDetails(data) {
  return request({
    url: '/basicData/xcrSummaryLoanDetails',
    method: 'put',
    data: data
  })
}

// 删除贷明细汇总
export function delDetails(id) {
  return request({
    url: '/basicData/xcrSummaryLoanDetails/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDetailsBatch(ids) {
  return request.post('/basicData/xcrSummaryLoanDetails/delete',ids)
}
